### Hierarchy

- AwaitPromiseParameterType

## Index

### Properties

- generatePreview
- promiseObjectId
- returnByValue

## Properties

### Optional generatePreview

generatePreview: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1500

Whether preview should be generated for the result.

### promiseObjectId

promiseObjectId: RemoteObjectId

- Defined in node_modules/@types/node/inspector.d.ts:1492

Identifier of the promise.

### Optional returnByValue

returnByValue: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1496

Whether the result is expected to be a JSON object that should be sent by value.

Generated using TypeDoc